Commit 137298cd authored by Vladimir Bashkirtsev's avatar Vladimir Bashkirtsev
Browse files

Python 2 is deprecated - we should use Python 3 instead

parent 0382ca82
all:
tar xf libpsl-0.21.0.tar.gz
patch -Np1 -d libpsl-0.21.0 < libpsl-0.21.0-python3.patch
cd libpsl-0.21.0 && ./configure --prefix=/usr --disable-static
$(MAKE) -C libpsl-0.21.0
$(MAKE) -C libpsl-0.21.0 check
......
diff -uNr libpsl-0.21.0/src/psl-make-dafsa libpsl-0.21.0-python3/src/psl-make-dafsa
--- libpsl-0.21.0/src/psl-make-dafsa 2019-01-21 22:46:25.000000000 +1030
+++ libpsl-0.21.0-python3/src/psl-make-dafsa 2020-03-13 20:20:00.971145967 +1030
@@ -1,4 +1,4 @@
-#!/usr/bin/env python
+#!/usr/bin/env python3
# Copyright 2014 The Chromium Authors. All rights reserved.
# Use of this source code is governed by a BSD-style license that can be
# found in the LICENSE.chromium file.
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment